Processing - Toolbox tree view should not collapse when a model is added or edited.

2014-03-24 04:22 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18380

Description

Currently, whenever I add a new model, the whole tree view in the toolbox collapses.

The same happens when I edit an existing model.

This is really annoying if I had my toolbox configured with certain parts of the tree structure open.

Related issues:

Related to QGIS Application - Bug report # 13499: Editing algorithm propertie... Closed 2015-10-03

History

#1 - 2014-03-24 04:26 AM - Anita Graser

- Subject changed from Processing - Toolbox tree view should not collapse when a new model is added to Processing - Toolbox tree view should not 

collapse when a model is added or edited.

#2 - 2014-03-26 02:26 AM - Victor Olaya

- Status changed from Open to Closed

fixed in 0d63635

#3 - 2014-04-22 06:37 AM - Filipe Dias

- Status changed from Closed to Reopened

This is happening again, at least with R scripts.

#4 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#5 - 2015-10-03 07:25 AM - Anita Graser

- Category changed from Processing/Core to Processing/GUI

This definitely still happens.

#6 - 2015-10-03 09:54 AM - Filipe Dias
The same happens with R scripts.

#7 - 2015-10-06 06:53 AM - Victor Olaya

- Status changed from Reopened to Feedback

I just added a fix for this in master. Could you please check if it's solved? Thanks!

#8 - 2015-10-07 10:58 AM - Anita Graser

Thanks, this seems fixed in QGIS code revision 3dcabfb.

#9 - 2015-12-20 09:03 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
